/*
 * Tapioca library
 * Copyright (C) 2005 INdT 
 * @author Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TAPIOCA_CONNECTION_PRIVATE_H__
#define __TAPIOCA_CONNECTION_PRIVATE_H__

#include "tapioca_connection.h"

G_BEGIN_DECLS

/* dbus callbacks */
gboolean tapioca_connection_connect        (TapiocaConnection *tc, 
                                            const gchar *id, 
                                            const GHashTable *parameters, 
                                            GError **error);
gboolean tapioca_connection_disconnect     (TapiocaConnection *tc, 
                                            GError **error);
gboolean tapioca_connection_create_session (TapiocaConnection *tc, 
                                            guint type,
                                            gchar **object_path,
                                            GError **error);
gboolean tapioca_connection_get_presence   (TapiocaConnection *tc, 
                                            gchar **object_path,
                                            GError **error);
gboolean tapioca_connection_get_contact_list
                                           (TapiocaConnection *tc, 
                                            gchar **object_path,
                                            GError **error);
gboolean tapioca_connection_destroy        (TapiocaConnection *tc, 
                                            GError **error);

G_END_DECLS

#endif
