/*
 * Tapioca library
 * Copyright (C) 2005 INdT 
 * @author Luiz Augusto von Dentz <luiz.dentz@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TAPIOCA_CONTACT_LIST_PRIVATE_H__
#define __TAPIOCA_CONTACT_LIST_PRIVATE_H__

#include "tapioca_contact_list.h"

G_BEGIN_DECLS

/* dbus callbacks */
gboolean    tapioca_contact_list_request_contacts     (TapiocaContactList *tcl,
                                                       GError **error);
gboolean    tapioca_contact_list_request_contact_info (TapiocaContactList *tcl,
                                                       const gchar *address,
                                                       GError **error);
gboolean    tapioca_contact_list_add_contact          (TapiocaContactList *tcl,
                                                       const gchar *address,
                                                       const gchar *alias,
                                                       const gchar *group,
                                                       GError **error);
gboolean    tapioca_contact_list_remove_contact       (TapiocaContactList *tcl,
                                                       const gchar *address,
                                                       GError **error);
gboolean    tapioca_contact_list_deny_contact         (TapiocaContactList *tcl,
                                                       const gchar *address,
                                                       GError **error);
gboolean    tapioca_contact_list_authorize_contact    (TapiocaContactList *tcl,
                                                       const gchar *address,
                                                       const gchar *group,
                                                       GError **error);

G_END_DECLS

#endif
