/*
 * Tapioca library
 * Copyright (C) 2005 INdT 
 * @author Luiz Augusto von Dentz <luiz.dentz@indt.org.br>
 * @author Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TAPIOCA_PRESENCE_PRIVATE_H__
#define __TAPIOCA_PRESENCE_PRIVATE_H__

#include "tapioca_presence.h"

G_BEGIN_DECLS

/* dbus callbacks */
gboolean    tapioca_presence_subscribe              (TapiocaPresence *tp,
                                                     guint status,
                                                     const char *status_desc,
                                                     GError **error);
gboolean    tapioca_presence_unsubscribe            (TapiocaPresence *tp,
                                                     GError **error);
gboolean    tapioca_presence_get_supported_statuses (TapiocaPresence *tp,
                                                     GArray **statuses,
                                                     GError **error);
gboolean    tapioca_presence_set_status             (TapiocaPresence *tp,
                                                     guint status,
                                                     const char *status_desc,
                                                     GError **error);
gboolean    tapioca_presence_request_status         (TapiocaPresence *tp,
                                                     gchar **list,
                                                     GError **error);
gboolean    tapioca_presence_release_status         (TapiocaPresence *tp,
                                                     gchar **list,
                                                     GError **error);

G_END_DECLS

#endif
